Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces | Typedefs
associated_types.hpp File Reference

## Classes
struct | ranges::v3::difference_type< T >
struct | ranges::v3::difference_type< T const >
struct | ranges::v3::disable_sized_sentinel< S, I >
struct | ranges::v3::size_type< T >
struct | ranges::v3::value_type< T >
struct | ranges::v3::value_type< T const >

## Namespaces
| ranges
| unstable_remove have O(1) complexity for each element remove, unlike remove O(n) [for worst case] Each erased element overwritten (moved in) with last one.

## Typedefs
template<typename R >
using | ranges::v3::reference_t = detail::reference_t_< R >